Version v13a

Fix: Control key issue when buying/selling items to the caravan
Fix: Heroes near death won't go aid friends
Fix: Heroes won't go aid other heroes of other parties
Fix: Sacrificing animals to the shrine now works properly

-----

Version v13

Add: Server support for buried maps (townsmod.net server added by default)
Add: You can add text to some items, and bury them!
Add: New writeable wooden signs
Add: New items, books, scrolls and a shrine, an item to revive custom died heroes
Add: Sieges have a chance to come from underground
Add: Death messages for heroes
Add: Heroes choose companions based on their morale. Companions will explore together
Add: Languages now have internal mod loader support
Add: Mods folder tip on the mods menu
Add: Sheep are added to the butcher-for-bones menu
Add: Average happiness added to the UI
Add: New happiness system
Add: Trading panel now shows the remaining trades
Add: The control key can be used like the shift key on several panels. It will add and subtract in amounts of 100
Add: Wild snoat and a snoat farm
Change: Cyclop graphics
Change: Raise and lower speed icons are now disabled when you set the min/max speed
Change: Bamboo trap damage has been reduced to half
Change: The option to pause the game when a caravan comes, now also pauses the game when the caravan is ready to trade
Balance: Fire bow stats are slightly increased
Balance: Eat a fish now fills a bit less
Balance: Fishing set happiness cooldown has been increased
Balance: Monsters' level boosted in lower dungeons
Typo: Bite/bites verbs swapped on the Exploding sprouts and bats
Typo: "it's tiny size" changed to "its tiny size" (iron short sword description)
Typo: Spanish name for the low and burnt cooking fires
Typo: Some 'accesible' words instead of 'accessible'
Fix: Allies combat log colors now are correct
Fix: Planting flowers ID in the right menu
Fix: Lag when you have many non-available orders, has been reduced
Fix: Werepig and throwing rock glitches
Fix: Now the system detects all the low and burnt cooking fires to renew them
Fix: The removal of items from containers doesn't have the "Unknown task" text anymore

Modders: New <text> tag on the items.xml. Possible values are true and false (default). Used to set an item to be writeable (tombs, books, scrolls, signs, ...)
Modders: New <lock> tag on the queues of actions.xml. Possible values are item IDs. Used to lock a bench when the action is assigned
Modders: New <reviveHeroes> tag on the queues of actions.xml. It doesn't require a value. Used to reset the dead status of the custom heroes
Modders: New <workCounterPCT> and <idleCounterPCT> on livingentities.xml. Value should be a number or a dice. Used on citizens, for the new happiness system
Modders: New <deleteCoins> and <deleteCoinsPCT> tags on the queues of the actions.xml. Possible values are a dice or a single number. Used to remove coins from the world
Modders: New submenu on the decorations/outdoor for the statues and poles

-----

Version v12b

Add: New monster, the evil turtle
Add: New option to pause the game when a caravan comes
Change: Werepig graphics now are isometric
Change: Pathfinding now adds a bit more importance to the Z level
Change: Removing an item with the contextual menu now reveals the cell under
Change: Now the game doesn't crash if for some reason a saved game file is not found
Fix: Following livings glitches and starts to wander off screen
Fix: Mod loader issue when a mod adds new terrain types
Fix: Buried architect's tables and hanged lamps are not sold by the merchants anymore

-----

Version v12a

Add: An option to tune the CPU level used on pathfinding
Add: Wolfy, queen of werewolves monster
Add: New graphic for the shorn sheeps
Add: Job group name on the townies tooltips and when right click on them
Add: New icon for the special decorative items
Change: Removed the butchering of reindeers from the production panel
Change: Removed the message spam when the taunting trunk casts effects
Typo: "Hobgoblin Khopesh" changed to "Hobgoblin khopesh"
Typo: "Raw reindeer steak" changed to "Raw snoat steak"
Typo: Spanish name for the Nature aid skill
Typo: Spanish description for the candle items
Typo: "Shorn sheep" instead of "Skinned sheep"
Fix: Buried harps, buried purple thrones and buried graves are not sold by the merchants anymore
Fix: Cloth and leather armors have been included to the stock panel
Fix: Shadows over stockpiles and zones on the camera level
Fix: Crash when you scroll down levels past the bottom layer
Fix: Issue rendering cells when you load a non-v12 saved game that contains vertical ladders
Fix: Glitch on the red long flags that face south-west
Fix: Heroes avoiding the level restriction when they don't have new cells to explore

-----

Version v12

Add: Bury system!
Add: Integrated mod loader!
Add: A way to restrict the hauling and autoequipping by layer
Add: A way to restrict the heroes exploring layers
Add: Townies happiness is showed when you right click on them
Add: Elven names for the elf heroes
Add: New living type, allies. Used on the spawned livings (sadonkeleton, ...). They can use doors.
Add: Description of items in the in-game tooltip
Change: Ladders are not needed anymore to climb 1-level underground cells
Change: Sorted military items on the equip menus
Change: Terrain cells on the camera level now are brighter
Change: Boat caravan now brings animals in a cage
Change: Plant trap won't hurt animals
Change: Vertical ladder now have connections
Change: Cooking time on the low cooking fire and the normal fire swapped
Change: Heroes dead sound
Change: Game speed now can be increased up to 5
Change: Cyclops now have a daunting scream effect. Is casted when the cyclop is near death, it makes townies to flee
Change: Softened the hard level sieges. Added a new "harder" level
Change: Replaced items by scripting now allow the placement over piles and zones
Change: Loading a wrong saved game won't end in a game crash
Change: Anvil is now on the workshops group
Change: Containers and walls now can be built in areas
Content: New walls and a dome roof
Content: Sheeps
Content: Cloth armors
Content: New animals in a cage items
Content: New heroes, Vechs and The Herbalist
Typo: Delete scaffolds typo, "Spiderite set" spanish typo
Typo: "It's essence..." by "Its essence..." on some weapon descriptions
Typo: "crush" by "crushes" on some weapon verbs
Fix: Placement of patrol points on air is no longer allowed
Fix: Issue on the actions that doesn't allow to mix moveTerrain's and pick's
Fix: Harvest orders never done if the townie starts a battle while performing it
Fix: Huge lag if no haulers and some idle townies in the town
Fix: Containers now can be sold to merchants
Fix: Improved the way townies build walls to avoid lost orders
Fix: More stable manual launching from towns.command in paths where a space is found
Fix: Crash "un-hauling" items from a stockpile
Fix: Glitch on "La Pedrera" walls
Fix: Stuck citizens after a robbery siege move some containers

Modders: New property "id" on the menuXXX.xml files. Used to give a way to modded xmls to delete tags
Modders: New property "id" on the gen_XXX.xml files. Used to give a way to modded xmls to delete or modify tags
Modders: New "delete" and "deleteContent" properties on the submenus for the modded menuXXX.xml files. Possible values are true and false. Used to remove the original content of the menus
Modders: New "delete" property on the items for the modded menuXXX.xml files. Possible values are true and false. Used to remove the original content of the menus
Modders: New "delete" property on the gen_XXX.xml files. Possible values are true and false. Used to remove the original content of the gen_XXX.xml files
Modders: New <delete> tag property on almost all the data xml files. It should contain a priority "id". Used to remove original data
Modders: Removed the <rangedCharges> tag on the items.xml
Modders: The <follow> tag now accepts comma separated values
Modders: New <castTrigger> tag on the effects. Possible values are: ALWAYS, HITTED, ENEMIES_IN_LOS, NEAR_DEATH and NOT_MAX_HP
Modders: New <flee> tag on the effects. Possible values are true and false (default). It makes the citizen/hero to flee when they receive it
Modders: New <createItemByType> on the actions.xml. This way you can create a random item (used on the new treasure chests)
Modders: New <bury> and <buryLocked> tags on the items. Possible values are true and false (default). Used to indicate the items that will be buried and the status when unbury them 
Modders: New <buryItem> and <buryItemPCT> tag on the items. Possible values are comma separated item IDs and percentages. Used to know what item (just one) will spawn when unbury  
Modders: New <buryLivings> and <buryLivingsPCT> tags on the items. Possible values are comma separated living IDs and spawn percentages. Used to know what livings will spawn when unbury  
Modders: New <buryDestroyItem> tag on the items. Possible values are true and false (default). Used to know if the unburied item do not spawn items  
Modders: New tag <allowBury> on the gen_map.xml files. Possible values are true (default) and false. Used to prevent the bury system in a map. Used on the tutorials.
Modders: New <rangedOneShoot> tag on ranged items. Possible values are true and false (default). Used on the ranged weapons monster heads

-----

Version v11a

Change: Reduced the heroes appearing rate
Change: All the roofs but the broken one and the straw one will block fluids
Change: Cooking a fish now takes a bit longer
Fix: Health points being reset to a living entity base stats while receive any effect
Fix: Snow birds missing graphics for older save games

-----

Version v11

Add: Citizen jobs and groups
Add: Light items
Add: Configurable FX and music volume
Add: Fishing dock and fishing set items, used for fishing
Add: Food variety bonus
Add: "Interior" roofs
Add: Possibility to set a square area for certain actions instead of a row (IE. planting wheat, building scaffolds)
Add: New customizable priorities (move_to_caravan, build_buildings and feed_animals)
Add: Toggable 3D mouse. Useful to build things on other layers than the current one
Add: New walls and, a new wooden road item, a well and a pond
Add: Ogre, werewolf, snickers, fire head and ghoul isometric graphics
Add: New living, the Snoat! (Snow goat). It replaces the old reindeers and does
Add: Flat blocks for the wheat and all the roofs
Add: Chance to idle livings to move more than 1 cell
Add: Animated living entities even when they do not move (birds, brownie bar rider, ghosts and fire head)
Add: Enemies stats when you right click on them
Add: New damage types and resistances to weapons, armors and monsters
Change: Spanish names for the armor sets
Change: Almost all the effects but the direct ones will not notify with a message when a living receives it
Change: Military items are not displayed on the livings panel if the living have the graphic change effect (IE. Citizen turned to a pig)
Change: Townies will stop the "Move to caravan" and the "Autoequip" tasks to eat if necessary
Change: Big sieges will not stuck the citizens when search a path
Change: Menu item "Delete" by "Delete scaffolds"
Change: Dynamic pile/container configuration panel
Change: Items and livings now are shadowed if they stand in a dark cell
Change: Reduced drop percentage to heads and bones
Change: Green block and green road now needs green color instead of yellow flowers to be built
Change: Wooden block and Wooden moss block removed from the utilities type
Change: Increased the difficulty of the last dungeon
Change: Bone carver item has been removed from the bone armor prerequisites (still in the menu for save compatibility)
Change: Now you can set the maximum stock you want in the "burn items" actions
Change: Military prices increased a bit. Spider bow value reduced.
Remove: Snow birds
Fix: Empty group names no longer allowed
Fix: Mini issues/typos in the xmls
Fix: Citizens no longer will change their mining point after other citizens ends their mine tasks
Fix: Crash when a citizen decides to drop an item when he just died (over a stockpile)
Fix: Incorrect coins ammount was being displayed when loading a saved game (The issue didn't affect the real coins ammount)
Fix: Occasions when a citizen has two rooms while changing personal room owner
Fix: Tooltips in a soldier panel when the soldier list is empty
Fix: Citizens won't move locked items on certain conditions
Fix: Only 1 auto-production item was placed on the queue on some circumstances
Fix: Freeze when a wounded citizen uses a 2nd level dormitory bed
Fix: Projectiles data are loaded properly when you load a game (this avoids the "null sticks null" messages)
Fix: Equipment menus are no longer partly rendered out of the screen

Modders: New <animatedWhenIdle> tag on the livingentities.xml. Possible values are true or false (default). Used on birds, brownie bat rider, ghosts and fire head
Modders: New <translucent> tag on the items.xml. Possible values are true or false (default). Used on windows and glass walls
Modders: New <lightRadius> tag on the items.xml. It allows a numerical value (default 0). Used on items that produce light
Modders: New <lightRed>, <lightGreen> and <lightBlue> tag on the items.xml. It allows the values FULL, HALF or NONE (default). Used on items that produce light
Modders: New <inverted> tag on the actions.xml. Possible valueas are true or false (default). Used on the "burn items" actions. This way the stock number acts as a maximum
Modders: Property "COLOR" removed from the graphics.ini

-----

Version v10b

Change: Purged human remains can be used to create graves and tombs
Fix: Crash loading a save that contains "destroy flour" tasks
Fix: Issue with buildings under construction after the load of a saved game

-----

Version v10a

Add: Samurai helmet
Change: Removed the maxAge from the wild wheat, wild sugar canes and wild bamboo. This way wild plants will not disappear
Change: Golden haste helmet is now considered a special armor instead of a golden one
Change: Market roof now uses animal hides to be built (instead of the old blue color)
Change: Iron bars now allow fluids
Change: Flood gates now has a glue tag and can also serve as a floor flood door
Fix: Position of some items in the stock panel
Fix: Crash when a citizen decides to drop an item when he just died 

-----

Version v10

Add: Fluid blocking, fluid elevator and fluid allowed items
Add: Evaporation of fluids
Add: Wind effect to plants
Add: Citizens sleeping under a roof will sleep "faster" and they will endure more time during their day
Add: Town coins on the top
Add: Flower gathering on the production menu
Add: New stockpile and container management panel
Add: New effect applied to food that gives a boost to the citizens' happiness 
Add: New items: Floodgate, fluids elevator, bamboo items, sugarcane items, sugar and cake
Add: New helmets: Straw hat, wooden mask, golden mask, mayan mask, samurai mask and kerchiefs
Add: New walls: 3 new stone walls, a new log wall, a wheat wall and a bamboo wall
Add: New mountains map
Change: Improved way of droping items to avoid large paths on some cases
Change: Saved game is stored in a temporary file until the game is completelly saved. This avoids the loss of your progress if the save fails
Change: Little rest bonus for townies sleeping underground
Change: Flour burner removed from the menu
Change: Linux launcher on Steam warns you if the game can't find Java (thanks to Vince D. for testing)
Change: Brownie village area now can be tilled
Change: Unifallow feed food changed to cactus fruits
Change: Human remains will stop ghost spawning after 3 day
Change: Autoequip now randomise the item to be equipped in order to avoid mass movement to the same item
Typo: "Wild kootenbeeten" instead of "Wild skootenbeeten"
Type: "green hat" instead of "Green hat"
Fix: Main menu issue when the size of the saved games is equals to the game window height
Fix: Random freeze if the market zone contain walls and a coming caravan decide to move over a wall
Fix: Underground terrain glitches when loading a saved game
Fix: Citizens won't skip the chopping tasks when a tree keeper is attacked
Fix: Falling items won't destroy the ground ones
Fix: Townies now take into account items in containers when you order them to build an already built item

Modders: New <blockFluids> tag on items.xml. It allows true/false values. Default is false. (Used on the floodgate item and some walls)
Modders: New <allowFluids> tag on items.xml. It allows true/false values. Default is false. (Used on the 2 stone arcs)
Modders: New <fluidsElevator> tag on items.xml. It allows true/false values. Default is false. (Used on the fluids elevator item)
Modders: New <maxAgeNeedsWater> tag on items.xml. It allows true/false values. Default is false. (Used on the bamboo cans) 
Modders: New <maxAgeNeedsWaterRadius> tag on items.xml. It allows a numerical value. (Used on the bamboo cans)
Modders: New <happy> tag on effects.xml. It allows a number or a dice (IE. 1d8). (Used on teh cake item) 

-----

Version v9b

Change: Added 0's in front of the hours and minutes of the saved games
Fix: Hauling issues

-----

Version v9a

Fix: Removed the creation of wild animals in the farms
Fix: Wild animals won't turn into non-wild ones when you use them to obtain resources (IE. eggs, milk, ...)
Fix: Stuck citizens when they are trying to perform a task with some non-accessible points

-----

Version v9

Add: Farm animals (IE. cows, pigs, ...) now need food to stay alive. Townies will bring them food when available
Add: New savegame functions. From now on all the future builds should be savegame compatible with the old ones. This also will allow us to debug easily savegames from users
Add: Multiple saves per map
Add: Keybindings and new shortcuts
Add: Military items now have a small % to have prefix/suffix when are manufactured by townies
Add: Holding shift when you sell items to caravans will make it sell in stacks of 10
Add: Added administration privileges to the game launcher on Windows. This should fix launch issues with some users
Add: Isometric yetis and froggies
Add: New bunny hat
Change: The savegame folder will be .towns/save/ (it will not use the build name as a folder to help the future savegame compatibility)
Change: Context menus are displayed over the "Mission completed" text
Change: Townies will not haul from a stockpile to a barrel anymore
Change: Options are saved every time you make a change on the main menu. The "save options" item has been removed
Change: The mill building has been removed by a new item 
Performance: Improved hauling and containers access functions. That should remove the lag spikes on bigger towns
Performance: Improvement in the pathfinding. It will avoid the big increase of memory usage and some lag peaks
Typo: Gold armor spanish translation
Typo: "Name's weapon brokes" changed to "Name's weapon broke"
Typo: Hapiness -> Happiness in the Townies list
Glitch: Market roof fixed
Fix: Fluids now fall when you mine the cell under them
Fix: Some roof priorities changed to "wall construction" priority
Fix: Glitch with livings walking over road items
Fix: Scripted sounds (IE. chop) are only played if the camera is in the level where the source is
Fix: Buildings transparency now works properly
Fix: Removing fluids with the contextual menu now changes the visibility of the cells below
Fix: Livings on the fog of war doesn't receive effects
Fix: If an item dissapears during a task (IE. the low fire extinguishes during the cooking) townies will search for other possible items to use (IE. a stove)

Modders: <prerequisite> and <prerequisiteFriendly> on buildings.xml now accepts comma separated values
Modders: New <foodNeeded> tag on livingentities.xml. It contains comma separated items. Used to indicate the possible items a friendly needs to be feed
Modders: New <foodNeededTurns> tag on livingentities.xml. It contains a numerical value. Used to set the number of turns where a living starts to be hungry
Modders: New <foodNeededDieTurns> tag on livingentities.xml. It contains a numerical value. Used to set the number of turns that a living can survive when hungry

-----

Version v8a

Fix: Crash starting the game if both FX and music are turned off

-----

Version v8

Add: New audio.ini file to script sounds to any action
Change: Removed the <stackable> flag from statues and added to them the <decoration.outdoors> type
Change: Numbers on the production panel now have a black border
Change: Livings now are capable to move to a cell in other layer in emergencies
Fix: Typo with the low cooking fire
Fix: Soldier siege chance protection
Fix: Trade panel can be closed with right click even if the caravan is not in place
Fix: <move> actions now doesn't check on containers (this avoid stuck citizens over barrels)
Modders: New <fxDead> tag to livings to script there the audio file you want to be played when a living dies
Modders: New 'fx' and 'fxTurns' attributes to the <wait> tag on actions.xml. This way you can script the sound to be used when townies perform actions and the cadence

-----

Version v7

Add: Cooking fire now transforms to low cooking fire and then burnt cooking fire and can be renewed at each stage
Change: "Remove scaffold" button graphic
Fix: Some jungle tiles names
Fix: Glitch near some sand blocks
Fix: Living robbery sieges doesn't make the victim drop items
Fix: "Game has been paused" message do not appear when you receive a siege and have the pause option turned off
Fix: Glitch with edge menus when you close a game and start a new one
Fix: Non stackable items now don't appear in the container management menus

-----

Version v6

Add: Robbery sieges! (with a few new enemies)
Add: Multi-monster sieges 
Add: Guard soldiers that belongs to a group move to their barracks zone when idle
Add: Arrangements to the soundtrack
Add: Credits option in the main menu
Add: New option to set the pause when a siege starts
Change: Options menu now doesn't close when click on an option
Change: Sieges now can be set as off, easy, normal, hard or insane
Change: The chance of a siege to appear now is based on several factors, one of them is the number of soldiers in the town
Change: The phrase that warns you a task could not be completed
Change: Citizens hauling items now take a break to eat/sleep if necessary
Change: Reduced a bit the pathfinding iterations to free a bit the CPU
Change: Improved the search items function (now it takes 20% less CPU time)
Change: Reduced starting coins
Change: Wooden snake sword and The trickster doesn't spam messages anymore
Change: Brownie bat rider and Fire head now evade traps
Change: Seeds removed from the "rawfood" type
Change: Jungle door removed from the "furniture" type
Fix: Issue with the display of tooltips/buttons in the livings panel
Fix: Mini glitch with some terrains
Fix: Mini glitch near pines and normal trees
Fix: Glitch with some flatten tiles (cactus and some trees)
Fix: Double bonus is no longer applied when a living equips some special military stuff
Fix: Turning ON the music while playing no longer plays the main menu music
Fix: Low performance on some machines when the "Flatten all blocks" option is enabled
Fix: Flame attack now works with ranged weapons
Fix: Saving issues solved
Fix: Repeating an order (with the Shift key) now also works with the dig commands
Fix: Wood detailer prerequisites are now ok
Fix: Stuck citizens over barrels with the eat task
Fix: Item <habitat> is not check when a caravan sells it
Modders: New tags <steal> for enemy livings, it accepts items or types as values
Modders: New tags <stealLivings> for enemy livings, it accepts livings IDs
Modders: New tag <startingPointID> for the <heightSeed> tag

-----

Version 0.60a

Add: Strange forces have awaken in the forests
Add: Caprontos decorative architect table
Add: New option to allow the mouse scroll while hovering the edge buttons
Change: Divine armor heal effect and head crushed stun effect are modified to avoid the message spamming
Change: Stun effect name changed to "Stun attack" to avoid confusion
Change: Roof (25%)/underground (15%) time bonus when citizens use benches to take into account the multileveling
Change: "The lightning" will now look differently, shoot lightnings and have a new effect attached to
Fix: Glitches near the fruit trees
Fix: Low performance on some machines when the "Flatten blocks near mouse" option is enabled
Fix: Military items inside containers are not carried to the caravan
Fix: In some cases already died livings doesn't dissapear
Fix: Typo in spanish with the wooden armor/weapon types
Fix: Jungle mushroom will now always produce mushrooms when harvested
Fix: Ancient wall now have a flat graphic
Fix: Glitch in the bones caravan
Fix: Special armors are now shown in the correct stock menu
Fix: Road tiles connects with any other road tiles

-----

Version 0.60

Add: Caravans!
Add: UI changed!
Add: Soldier groups!
Add: Shadows
Add: New stock panel
Add: New option in main menu to turn sieges off
Add: Options in-game
Add: Click on a message now gets you to the living that produced it (not just the point where the event occurs)
Add: Added the funtion to move back and forth through heroes
Add: Shift + click on level up/down now moves the camera 5 levels 
Add: Shift + click on the production panel icons now increases/reduces the ammounts by 5 
Add: Flatten blocks near the cursor option in the UI
Change: Siege enemies now choose random citizens when target
Change: The game map now is saved (and loaded) secuentially. This avoids OutOfMemory errors on some configurations
Change: Livings now move through levels when idle
Change: Stockpile/container option text in the main menu
Change: All roofs are tagged as walls
Change: All walls connect with other walls (or wallConnectors like doors)
Change: The minimap textures of upper levels are reloaded when a level changes
Change: Rebalanced livings
Remove: Mouse transparency near the cursor option in the main menu
Fix: Items getting deleted because other items fall on them from stairs
Fix: Creation of scaffolds underground in a side/down way
Fix: Expand a zone no longer allows it to be placed on air
Fix: Crash when a living fires a projectile
Fix: Typo issue with silver armor and golden armor and weapons on piles/containers
Fix: Glitch behind some water tiles
Fix: Stuck citizens when they are searching for items in a container but there is no path to that container
Fix: Graphic glitches with the blue orders and with big items
Fix: Deadlock/lag when you disable a pile/container and there is no free space on that level
Fix: The immunityEffects tag on livings now works
Fix: Glitch when mages converts big size enemies into pigs
Fix: Crash in a special case when an isolated townie tries to autoequip
Fix: Ranged units avoiding the fight sometimes
Modders: The UI graphics can be placed in other files than ui.png
Modders: New tag on livings <evadeTraps> (added to caravans, birds and sadonkeleton)
Modders: All the entries in graphics.ini MUST have the TEXTURE_FILE option
Modders: Added the <numCitizens> tag to set the number of starting citizens in a map
Modders: Added the <startingLevel> tag to set the level where the starting citizens must appear
Modders: Added the <immuneEffects> tag to effects.xml, this way you can create an effect that gives immunity to other effecfts
Modders: Added the <castEffects>, <cooldownEffects> and <targetEffects> tags to effects.xml, this way you can create effects that cast other effects

-----

Version 0.50b

Balance: Tree bush spawns reduced to a half (faster spawns)
Change: Allow the mine and building of items from up/down AND diagonal
Change: Glue items now glues to terrain (no more stairs falling!)
Fix: Crash when you build walls in the top level
Fix: Game options now are read/saved in the correct file when you use the USER_FOLDER feature
Fix: Pathfinding issue with the last layer
Fix: Glitch with the limestone miniblock
Fix: The icons of eat/sleep now are shown in front of citizens / heroes
Fix: Mouse cursor and blue orders tile transparencies fixed

-----

Version 0.50a

Add: USER_FOLDER in the towns.ini to overwrite the operating system folder
Change: Mini mouse cursor and blue orders when the miniblocks are on
Change: Doesn't allow orders to be created in air cells if there is no path to them
Change: The grid is correctly displayed over walls
Change: Items can be created/placed in diagonal
Change: Now items also can be built from the below and above cells
Change: Allow to place the camera in the last floor level
Change: Iron, coal, copper and gravel seeds moved a bit to the surface
Change: Mineshaft spawn time increased
Fix: OpenGL depth buffer values lowered to allow lower end graphic cards
Fix: Typos with 'bait' and some chop orders

-----

Version 0.50

Add: True multilevels!
Add: Autosave option
Add: Content (Chimneys, walls, stairs, ...)
Change: Cactus fruits spawn time reduced
Change: New graphics for some units
Fix: Till on a cell that already have a till command
Fix: Issue with admin fluids (now sieges/heroes/citizens will not appear if there is no path to the town)
Fix: Stuck citizens if the only path to an item is through the fog of war 
Fix: Citizens eating raw food if they got hungry in a raw food creation task
Fix: Autoequip will not stuck citizens if the best armor/weapon is in an unreachable area
Fix: Elven bow was tagged as 'sword' so some non-ranged heroes equip them
Fix: Heroes equipping items that are not tagged (IE. a thief equipping a bow)
Fix: Ranged livings shotting to other livings when the victim moved to other level
Fix: Deleting a zone where a citizen is hauling a bench will not set that item operative
Fix: Ranged enemies attacking at melee


-----

Version 0.47b

Change: Added wild wheat on the snow map
Change: Wild wheat can appear in all kind of grass cells
Fix: Old ATI drivers/cards memory leak minimized
Fix: Heroes with alternative graphics (IE. barbarian and highlander) doesn't equip
Fix: Empty bottle and poison botle are now stackable
Fix: Planted wheat turns back to wheat seeds after 1-2 days
Fix: Gravestones issue when no corpses around
Fix: Necromancy (Sips) and taunt (barbarian) skills

-----

Version 0.47a

Change: Crippling shot chance increased
Fix: A new ATI crash 
Fix: Thief poison attack
Fix: Ranged attacks that adds effects to livings (IE. Elf crippling shot)
Fix: Prerequisites to build silver/gold armors

-----

Version 0.47

Add: Traps
Add: Military items tooltip now shows the item level
Add: Icons on each effect (IE. a green drop for the poisoned effect)
Add: New floors for zones
Add: Hitting the "H" key rotates throught your current heroes
Add: Heroes with high moral will help citizens in danger
Add: New dark wooden wall, golden/silver weapons and armours, also a flaming sword only dropped by burningpets
Change: If the floor is occupied by an item, the living drops will check for neighbors cells 
Change: Faster exploration methods for heroes
Change: Mountain map generation
Change: Autoequip order now search for the best items. Also, you can order it to a citizen already equipped to search for better equipment
Change: Area skills (IE. defense aura) now takes into account the LOS
Change: Rebalance the level of all items and drops
Fix: Added specific code for ATI users to solve the nasty crash (thanks to Zachary Stendor for testing it)
Fix: Citizens with building construction tasks will stop it automatically if they get hungry
Fix: Chop palm trees with the bottom menu
Fix: Made snickerite greaves stackable
Fix: Blue arena badgers health points increased
Fix: Heroes doesn't break walls/doors on other levels when they get rage
Fix: Sand roof glitch
Fix: Mouse transparency option now is saved properly in the options file
Fix: Heroes use of skills while eat or sleep
Fix: Stuck livings if you delete a bridge when they are over it
Fix: Citizens starving in the hospital
Fix: Expanding zones on undiscovered cells
Fix: A bug makes the citizens to walk bellow 20% speed
Fix: Citizens speed when they are hungry now has the minimum speed to 20%
Modders: Customizable effects, they can be tied to hero skills, foods 
Modders: New <tags> tag on items and , this way heroes will use only specific items (IE. a mage only use cloth items and wands)
Modders: New tags <levelMin> and <levelMax> on the living entities drops

-----

Version 0.46

Add: Leveling and experience to heroes
Add: Skills for heroes
Add: Damage over time attacks
Add: Heroes now leaves some battles to take a rest
Add: Icon on the top left side of the screen indicating the current task
Add: Confirmation menu when you start a new game with a previous save
Add: Citizens and heroes drops some equipment when dies
Add: Mud and sand walls
Change: Prefix/suffix are displayed on heroes equipment
Change: Fire wand stats
Change: Dwarf heroes now wants a room underground to come/stay
Change: Saving the game speed GREATLY improved
Fix: Planted apple bushes/trees
Fix: Blue flowers gathering
Fix: Some graphic glitches
Fix: Hero stuck when leaving a town in some cases
Fix: Cyclop and hobgoblin kaiser names swapped
Fix: Boots of haste now can be made using any kind of bird
Fix: Wild wheat now spawns in the mountain map
Fix: Stuck citizens when they can't reach an item/living
Fix: Tooltip showing living entities on undiscovered cells
Fix: Special death heroes doesn't appear again
Fix: More HP than the maximum allowed after wear/unwear items
Fix: Admin water now deletes the content of the first cell
Modders: New tag <HPRegeneration> on livingentities.xml. It makes a living to gain 1HP per turn
Modders: New <followEntity> and <followTurns> tags. This way you can script pets!!

-----

Version 0.45b

Change: Heroes come/stay prerequisites
Fix: Blue color now can be stored in piles/containers
Fix: Pears automation harvesting
Fix: Issues with planted banana trees, blue radish and snow trees
Fix: Stuck (invisible) citizens when placing walls (or just non-passable cells like water)
Fix: Citizens starving to dead with food on the world (related to the previous fix)

-----

Version 0.45a

Add: Management menu for piles and containers
Add: A clock to use in some zones
Change: Heroes exploring routines
Change: Citizens will starve to death after 2 full days without food
Change: Malus speed % applied when a citizen is hungry
Fix: Some tree/planting scripts
Fix: Some wall sizes and positions
Modders: Crash if you set a building without prerequisites solved

-----

Version 0.45

Add: Now living entities (IE. a cow) can hate any other livings (IE. a pig).
Add: Speed buttons on the UI.
Add: Status messages on the loading screen.
Add: First heros!
Add: Fog of war on dungeons.
Add: You can click on the messages to set the current view where the event is happening.
Add: The badger arena!
Add: New option on the game menu to disable by default all items when you create a pile or a container.
Add: New option on the game menu to pause the game when it starts.
Add: New option on the game menu to activate transparencies near the mouse cursor
Add: Un-till terrain.
Add: Un-dig terrain.
Change: No more berseker soldiers. Now soldiers have 3 status, GUARD, PATROL and BOSS AROUND.
Change: Health points restored when sleep are set to 5% of maximum base health points (instead of 1 HP).
Change: No more hunger-lock. Now, when a citizen is hungry they walk at 50% speed but continues performing normal tasks.
Change: Better fluids and tasks management routines.
Change: Citizens search for a nearest hospital (or dinning room) instead of the first hospital (or dinning room) created.
Change: Citizens now use the beds on the hospitals, and heals faster if do so.
Change: Citizens works and walk slower if they are unhappy.
Change: Savegames now are placed on userdocs/.towns/save/BUILDNAME/ where BUILDNAME is the current game build (IE. 0.45).
Change: Citizens (and heros) walks to his assigned room when they come.
Change: Zones now can be built on edges and close to a slope
Change: You can scroll now with the WASD keys (or arrows) and up/down levels with the QX keys (or mouse wheel).
Fix: Stockpiles under a building are not allowed.
Fix: Harvest button now also harvest blue radish.
Fix: Entities with assigned path will not pass through holes if you remove a ladder while they are following it.
Fix: Tooltip issue on production panel with multiple items/livings.
Fix: Autoequip while healing do not stuck citizens anymore.
Fix: Half-Buildings on the left or top area of the screen are displayed .
Fix: Walk glitches when a citizen is close to the wall or after a fight.
Fix: Citizens doesn't make the same haul task when the item to be moved can be placed in a container AND in a stockpile.
Fix: You can use the non-numpad '+' key to increase the speed.
Fix: Immigrants now CAN find the path to the colony even if his assigned zone has walls on the first cell.
Fix: Cancel terrain actions (like till) now works even if a citizen started to do it.
Fix: Glitch with roofs when you have a building inside other.
Fix: Equip/unequip now doesn't stuck citizens in certain cases.
Modders: Removed the ITEM_CREATE_ITEM, LIVING_CREATE_ITEM and TERRAIN_CHANGE_TERRAIN action types.
Modders: Added the <generatedItem> tags to actions. This way you can set the production panel icon (it overwrites teh <createItem> icon).
Modders: Added the "useSource" atribute to <move> tags.
Modders: Added <replaceCellItem>itemID</replaceCellItem>, <destroyCellItem /> and <moveTerrain /> tags to action queues.
Modders: <id> and <startingPointID> tags to use on the <seed> ones. This way you can name a seed and force a second seed to start inside the first one.
Modders: <hate> tag for living entities.
Modders: Some nice error messages that will help modders if something fails on map generation.
Modders: <heightMin> and <heightMax> tags added to the <seed> tag. This allows you to create seeds on certain heights.
Modders: Subtag <terrain> under the <change> tag now accepts special types (_WATER_, _WATER_INF, _LAVA_, ....) again.
Modders: New social zone <type>SOCIAL</type> on zones.xml.
Modders: Removed the <type> tag from actions. Now all actions must have a queue.
Modders: <maxHungryTurns>, <maxSleepTurns> and <eatZone> can be scripted on livingentities.xml.

-----

Version 0.42b

Change: Kill a bird is easier now (but not easy!)
Change: Continuous water
Change: Game speed can be toggled using  "+" and "-" keys
Change: Map generation performance
Change: Spawn of items/livings management performance
Fix: Werepigs and milked cows doesn't turn invisible anymore
Fix: Negative numbers on regular production queue
Fix: Roads menu, bread item description and autoequip command translated to spanish
Modders: <childItem> tags has been changed to <spawn> ones, that also allows you to spawn living entities (IE: A cow, a goblin, ...)
Modders: New <heightMin> and <heightMax> tags on the <change> one. This way you can change the terrain on certain heights
Modders: New <habitatHeightMin> and <habitatHeightMax> tags for living entities and items. This way you can spawn certain objects (IE. reindeers) on certain heights

-----

Version 0.42a

Add: Raise/Lower terrain menu (admin tool atm)
Add: Add/remove water/lava menu (admin tool atm)
Fix: Colored roads doesn't mess up the whole terrain
Balance: Build times and building spawn rates are reduced
Balance: Boots of speed doesn't need snickerite to build it (changed it to goblinite)
Balance: Create flour now only costs 2 wheat

-----

Version 0.42

Add: Priorities panel (F3)
Add: Roads (living entities walk faster here)
Add: Animations for living entities
Add: TTF Font
Add: Heightmap a-la Transport Tycoon
Add: Food values on food items tooltip
Add: Save options
Add: Use of user folder for savegames and options
Add: New special values for map generation (_WATER_1_, _WATER_INF_, LAVA_1_, LAVA_INF_)
Remove: Barracks (now everybody can be a soldier!)
Remove: Transition tiles
Change: Speed of living entities reduced
Change: Stockpile points are removed if you place a zone over it
Change: Turns to build thing on benches changed to 70% if a roof is present
Change: Turns to build thing on benches changed to 85% if the builder is underground
Change: Warning "Sure to exit without save?" panel
Change: Water system uses slopes now
Change: Faster seeds at map generation (so the game starts early)
Fix: Enemies won't try to break opened doors 
Fix: Crash when build a building only with doors
Fix: Prefix/suffix percentages are set to 5% again
Fix: Little improvement in the minimap render routine
Fix: Improved a little the save/load game performance
Fix: Item issues when delete the zone under it
Fix: Lag if no mats when build a building
Fix: Draw the roofs/big items (ie. trees) when his base is outside the screen
Fix: Citizens recalculate their path if while they are following it other citizens blocks the path with walls
Fix: Minor graphic glitches

-----

Version 0.40.2

Change: Transition tiles disabled by default
Fix: Unifallows now correctly respawns as milkable
Fix: Unifallows can now be butchered for raw steak and for bones

-----

Version 0.40.1

Fix: Cow farm now produces cows!
Fix: Buildings never built if the builder begins to sleep/eat after place all materials on it
Fix: Graphic glitch with directional animals (cow, pig, badger, skootenbeeten and unifallow)
Fix: APS now works with living entities (IE. milk a cow)

-----

Version 0.40

Add: Content (enemies, items, terrain types)
Add: Transition tiles
Add: Height!
Add: Directions for livings
Add: Grid feature
Add: Grid, pause and settings icons on the UI
Add: Doors can be opened/locked/unlocked
Add: <speedUpPCT> tag to items. This tag can speed up (or down) the production time
Add: Max age for enemies and some can spawn into other living entity when they die this way
Add: Military items tooltips with information about the stats
Change: <move> tag to queues can now be used with multiple targets (like the <pick> tag)
Change: After placing a wall, citizens search for an area with other citizens (to not get stuck on a non-door building/wall)
Change: APS now looks at benches + items to know how many tasks create in paralel
Change: Subdivisions on menus
Change: Some item types changed
Change: Sieges are less deadly
Change: Removed the wall needed on all four sides when creating a zone
Change: Zones that have a roof speed up item production
Change: Roofs add happiness to citizens 
Fix: Citizens getting stuck with some containers if you played with the enable/disable feature
Fix: Citizens searching the best food on the whole map and not pick the best one from containers/stockpiles
Fix: APS issue with multi<pick> tasks (like the mountain stew)
Fix: Locked items placed under a ladder no longer locks the ladder
Fix: Crash when you use the mouse wheel on main menu
Fix: Minor bug fixes and some perfomance improvements

-----

Version 0.39.2

Add: Red/green pre-requisites when right click over a building
Add: System to add more textures dinamically
Fix: Lag when build a building and other citizens are over it
Fix: Camel/cow now return to his previous state after you milk it
Fix: Container issues

-----

Version 0.39.1

- Balance: Wheat is produced faster
- Change: Some icons from menus have been moved
- Fix: Ogre club and fine ogre club graphic
- Fix: Harvest command on the bottom menu now also harvests cactus plants
- Fix: Autoequip when items are on containers
- Fix: Bug that caused food from containers to only be eaten by one citizen
- Fix: Buildings show the correct prerequisites for "living" when only those are left


Version 0.39

- Add: Autoequip!
- Add: Content!
- Add: Containers!
- Add: Possibility to expand zones (avoiding the boring squared zones)
- Add: Stock number on the APS
- Add: Different maps 
- Add: Habitat for living entities
- Add: Value, fill percentage and eat time for every food item
- Add: Citizens can now pick and use living entities (i.e. a pig)
- Add: Buildings with living prerequisites and descriptions
- Add: Action queues now can create new friendlies
- Change: Siege message (informing that the game has been paused)
- Change: Citizens won't run to the hospital if they are fighting
- Change: Doors don't have a roof assigned (so you can make a wooden building with a bone door and the roof will appear)
- Change: Removed the hardcoded "type=military" from military items
- Fix: APS now checks for carrying items to control the stock
- Fix: APS now doesn't take into consideration locked items (so walls, trees and so on can be placed there)
- Fix: APS doesn't put all tasks at the same time on the task queue (performance improvement)
- Fix: Synchronization crash
- Fix: Building issue with citizens on different areas (IE. citizens on both sides of the river and no path between them)
- Fix: Stuck friendlies over a hole with a ladder
- Fix: Minor fixes and improvements

-----

Version 0.38.1

- Remove: Feather and badger fur
- Fix: "attackTurns" of creatures are not well loaded (now they attack faster... a LOT faster)
- Fix: Crash when you load a game and try to fight a ranged criature
- Fix: Graphic glitches
  
-----

Version 0.38

- Add: Production panel (can be opened hitting F2 or the big center icon)
- Add: Content and art!
- Add: Game save without exit
- Add: Option to full enable or disable a stockpile
- Change: Direct tasks can be ordered while in pause (IE: Create or change a stockpile)
- Change: 1 level roofs
- Fix: Crash generating really BIG roofs
- Fix: Synchronization issue cause the game crash
- Fix: Minor bug fixes

-----

Version 0.37

- Add: New user interface!
- Add: Roofs (Can be hidden with TAB key) 
- Add: Doors (Needed in order to place roofs)
- Add: New monsters
- Add: Next/previous soldier feature
- Change: Immigrant arrival calculations
- Change: Improved the task manager, allowing smarter citizens
- Change: Fluid funtionality
- Change: Cave generation
- Fix: Synchronization issue with custom tasks that sometimes caused a game to crash
- Fix: Issue with building in a row (IE. walls) when items were already built
- Fix: Issue spliting big context menus
- Fix: Unequip various items while in pause doesn't delete the first ones
- Fix: Spiderite bow prerequisites
- Fix: Changing the language doesn't maintain some words of the previous one
- Fix: Zones over a hole are not allowed
- Fix: Full prerequisites check when an item&place order it's performed
- Fix: Minor bug fixes and big performance improvements

-----

Version 0.36

- Add: Option to deactivate the mouse scroll
- Add: Option to toggle full-screen mode (using F11 or in the main menu)
- Change: LWJGL updated to 2.8.2
- Fix: Nasty bug in the LOS (Line Of Sight) funtion that is causing blind enemies and citizens when they fight
- Fix: Duplicate items glitch when the destination point of a built item is inaccesible
- Fix: Bushes can no longer spawn inside a custom zone
- Fix: The chop sound while being underground has been taken out
- Fix: Citizens begins eat or sleep while doing a custom task (chop, build a wall, ...)
- Fix: Walls placed on dungeons doesn't split areas correctly. This may citizens to get stuck
- Fix: Wrong stockpile IDs when loading a game

-----

Version 0.35

- Balance: Happiness
- Add: Connector tiles (I.E. Walls)
- Add: Custom zones/buildings
- Add: Custom queues to build items
- Add: Language options on main menu
- Add: Cancel custom actions
- Add: Cycle through citizens ('W' and 'E' keys or with menu)
- Add: Mouse to move the camera and mouse wheel to move the z-level
- Add: Tooltip with the prerequisites of each item in the menu
- Add: Date and time of error.log file
- Add: Towns icon
- Add: Resizable window
- Add: Custom mouse cursor
- Add: Towns executable (Windows only)
- Change: Citizens donīt get stuck on walls
- Fix: Entities doenīt die if you build a wall over them
- FIx: Custom actions on entities (i.e. kill a pig) works even if the entity moves before you click on the order
- Fix: Minor bug fixes and performance tuning

-----

Version 0.30

- Balance: Walls are now built in the masonry (with 2 stones)
- Balance: The arrival of immmigrants is checked every 3 in-game hours (instead of every in-game day)
- Balance: When a citizen (or soldier) dies. The global happiness is reduced by 20%
- Add: Custom actions engine
- Add: Animation engine
- Add: Random drop engine
- Add: Ranged weapons engine
- Add: Buildings now can have an automatic mode turned on (non-stop production mode)
- Add: Buildings can be forced to be built over certain terrains (ie. wheat farm over grass, mineshaft over stone,iron,coal,...)
- Add: Buildings can have non-rectangular shapes, and the entrace may be placed elsewhere
- Add: Hide buildings when hold [CONTROL] key
- Add: Engine prepared for friendly units (ie. A cow)
- Add: Current mission objective status is shown in the objectives panel (F1)
- Add: Infinitive verbs when attacking
- Add: A lot of content!
- Add: Drop for friendlies and citizens
- Add: Random prefixes and suffixes to military items when droped by an enemy
- Add: Repeat tasks when hold [SHIFT] key
- Change: All non-operative items will show the red-cross mark (ie. A bed built but not placed in destination)
- Change: Citizens now ends his tasks before they go to eat or sleep
- Change: If a citizen is carrying an item, he drops it before they go to eat or sleep
- Change: A wall (item) can be used as a room wall
- Change: Rooms can be built outside
- Fix: Improved the fluids routine (reducing CPU time to a half)
- Fix: Row-building mode fixed (walls)
- Fix: Returning to main menu could crash the game in some cases
- Fix: Removed the Windows end-of-line character from the Linux launchers
- Fix: Minor bug fixes

-----

Version 0.25

- Add: Campaign mode
- Add: Main menu options
- Add: Moddable dungeon generation
- Add: A mill, flour, new tree
- Change: Added [BLANKLINE] code to menu.xml
- Change: .xml generators cleaned (using "dice" function instead of varMin and varMax)
- Change: New folder for graphics
- Change: Separated textures for buildings, living entities and items
- Fix: Minor bug fixes and improvements

-----

Version 0.24

- Add: Alternative graphics system for living entities
- Change: Assured males AND females in every world
- Change: Same starting point for all citizens
- Fix: Crash when right click on a room with dead owner

-----

Version 0.23

- Add: Working chairs (used in dinning room)
- Add: Beds
- Add: Walls
- Add: Row building system (used to build walls)
- Add: Happiness value to items
- Change: Happiness formula
- Change: Improved the main menu config file, concerning items and buildings multilanguage.


-----

Version 0.22

- Add: Current Mining/Digging/Chopping orders are painted
- Add: New "Cancel order" command under the "Orders" menu
- Change: Improved citizen task manager
- Fix: "Item & place" menu now works properly with already built items (thanks to SirHoder)
- Fix: Duplicated tasks are not created (ie. Mining twice in the same cell)
- Fix: Crash trying to build an item NOT defined in the corresponding file (thanks to SirHoder)
- Fix: Stuck citizens trying to build an item when prerequisites are not accesible

-----

Version 0.21

- Add: Music & sounds
- Add: FPS parameters in config file (towns.ini)
- Change: Improved minimap render routine (pregenerated textures, reducing to a half the current CPU time)
- Fix: Static "child" items (ie. bushes) no longer born into stockpiles
- Fix: Big items/buildings are now displayed even if first cell it's outside the main area
- Fix: Crash when equip/unequip soldiers (thanks to Belzebuit)
- Fix: Minor bug fixes and some general performance

-----

Version 0.20

- Add: Full moddable enemies
- Add: Full moddable items
- Add: Moddable map generator 
- Add: Sieges!
- Change: Items in a wrong stockpile are hauled
- Change: Citizens doesn't haul items if exists enemies around the item
- Fix: Minor bug fixes


-----

Version 0.19

- Balance: Bakeries build 3 breads (instead of 4) with 2 wheats
- Balance: Citizens doesn't eat faster in a dining room
- Add: Left click outside a contextual menu closes it
- Add: "Items" menu. You can build items without specify a building neither a place where to put them
- Add: Happiness
- Add: Personal rooms. Citizens go there to sleep.
- Add: Eat in a dining room improves the citizen happiness
- Add: Sleep in a personal room improves the citizen happiness
- Add: Immigrants (they come if there are personal rooms available and overall happiness it's good)
- Change: Trees only generate bushes if there are less than 3 around
- Change: Prerequisites for a room (2 cells wide, 6 cells minimum and, at least, a wall in each side)
- Fix: Little issue dropping big items (more than 1x1)
- Fix: Minor bug fixes

-----

Version 0.18

- Add: Main menu
- Add: Moddable items
- Add: Moddable terrain (terrain.xml)
- Add: Full moddable buildings
- Add: Enemies can drop items (moddable)
- Change: Fast bushes grow rate
- Fix: Rendering routine (now buildings are not overlapped with blocks)
- Fix: Minor bug fixes

-----

Version 0.17

- Balance: Citizens have a little less hungry (again)
- Balance: Bakeries build 4 breads (instead of 1) with 2 wheats
- Balance: Raw material drop rate when a cell it's mined (more coal/iron, less mud)
- Balance: One game turn now it's equivalent to 30 seconds (instead of 60)
- Add: Bridges (can be built in masonry with 2 stones)
- Add: Rooms!
- Add: Dining room (citizens eat faster there)
- Add: Hospital (citizens with 1/3 of life go there)
- Add: "Infravision" removed (living entities can no longer see through walls)
- Add: Moddable LOS to living entities (citizens, enemies)
- Change: Pathfinding now gives more value to Z-level
- Fix: Deleting a task in a building now works properly
- Fix: Performance improvements (hangs when you discover new caves)
- Fix: Minor bug fixes

-----

Version 0.16

- Add: Soldiers
- Add: Barracks (each one allows you to convert 5 civilians into soldiers)
- Add: More info in the upper bar (level/civilians/soldiers, day/month/year)
- Add: "Room style" dungeons
- Add: Goblins and Goblin leaders
- Change: Wheat farms can't be built underground
- Change: Builders wait until cells are free to finish the building (avoiding stoned citizens) 
- Change: Number of messages in message panel was raised to 1024 (from 128) 
- Fix: The hole tile in digged terrains isn't drawed if terrain has fluids

-----

Version 0.15

- Balance: Citizens are now less hungry
- Add: White border to tooltip
- Add: Coal and iron
- Add: Forge
- Add: Wooden armor, pants, boots and sword
- Add: Iron helmet, armor, pants, boots and sword
- Add: Full moddable military items
- Add: Citizens can wear/wear off items
- Add: Weared items are shown
- Add: Big texts are resized in menu
- Add: Now you can build items with the building contextual menu
- Add: Save/Load now operate with compressed files (about 15-1 compression)
- Change: Map depth raised (from 4 to 8)
- Change: FPS capped to 60
- Change: Improved minimap render routine (glVertexArrays)
- Change: Improved the A* zone reset (no more hangs when you build/remove stairs and buildings)

-----

Version 0.14

- Balance: Wheat farms produces wheat more slowly
- Balance: Weaker citizens
- Added white border to menus and panels
- Added dice engine (ex: 4d8+5,3d6)
- Added colors to messages
- Added multilanguage (Spanish)
- Added a new pile (military)
- Added first military item (Wooden helmet) (not in-game equippable yet)
- Add: Messages are now saved
- Changed the task manager. Item building tasks (furniture, food, ...) are more important than other tasks
- Changed the font tileset
- Change: Spider graphics
- Change: Item types are now obtained from items.xml (file types.xml was removed)

-----

Version 0.13

- Changed the "unknown" tile image
- Changed all clay references to mud
- Added females
- Added names, surnames, nicks and gender to citizens
- Added tooltips
- Added the "mine" command to the contextual menu
- Added the keyboard shortcuts to all menus
- Added enemies engine
- Added spiders and giant spiders
- Added combat engine
- Added the current level number at the top-left of screen
- Added red arrow marks indicating if the upper or lower level contains a stair
- Added messages panel full screen mode

-----

Version 0.12

- Sleep time at the beggining of the game changed a little to avoid mass sleep
- Grass cells now doesn't drop clay at 100%
- Stone cells now doesn't drop stone (raw) at 100%
- Added more CPU time to A* search (reducing the pathfinding time)
- Hungry citizens now search food wiser
- If width/height declared in towns.ini match with desktop resolution, full_screen it's set to 'true' automatically
- Added depth to river
- Cells with fluids are shown when you discover a new level
- Added dungeons (no monsters and no items yet)
- Added an error log file (error.log in main folder)

-----

Version 0.11

- Citizens can starve to death
- Hungry citizens now doesn't run to the same food source like crazy kids 
- Wheat farm automatically create wheat every predefined time
- Bakery can create bread 
- Loading the game now doesn't duplicate items
- Citizens now try to not stay inside a building during it's construction (this avoid being stoned)
- When a citizen needs an item now it search it in the nearest stockpile
- Small bugs fixed
 
-----

Version 0.10

External changes:
- Citizens can eat.
- Citizens can sleep.
- Items carried by citizens are now painted.
- Smoth scroll just pressing the arrow keys.
- Items added: chair, table, bread, wheat
- Buildings added: Bakery, Wheat farm
- Citizens can haul any kind of item (not only raw materials)
- Stockpiles can't share same cell
- Bushes can now be chopped (but no wood obtained)

Internal changes:
- Simplified item structure
- Task manager optimized (fast item access)
- A* improved (fast stair access)
